Skip to main content

Dreamlake Business Integration API (1.0)

Authentication

Send your subscription key in the Ocp-Apim-Subscription-Key header on every request. Keys are issued per region; call the server for the region your key was issued in.

BusinessIntegrations

List orders by organization

Authorizations:
subscriptionKey
query Parameters
pageSize
integer <int32>
Default: 10

Maximum number of returned orders

pageNumber
integer <int32>
Default: 0

Specifies which page of returned orders to fetch, 0 is first page

includeChildAgencyOrders
boolean
Default: false

If 'true', lists all orders in a hierarchical organization where agencyCode is the parent organization

header Parameters
agencyCode
required
string

Your assigned agencyCode, ie KXXXXXX

Responses

Response samples

Content type
application/json
{
  • "pageSize": 0,
  • "pageNumber": 0,
  • "totalPages": 0,
  • "totalCount": 0,
  • "hasPreviousPage": true,
  • "hasNextPage": true,
  • "orders": [
    ]
}

Search orders by organization.

Authorizations:
subscriptionKey
header Parameters
agencyCode
required
string

Your assigned agencyCode, ie KXXXXXX

Request Body schema: application/json
required

Search criterias

query
string
filters
Array of strings
sorts
Array of strings
searchFields
Array of strings
pageNumber
required
integer <int32>
pageSize
required
integer <int32>
includeChildAgencyOrders
required
boolean

Responses

Request samples

Content type
application/json
{
  • "query": "string",
  • "filters": [
    ],
  • "sorts": [
    ],
  • "searchFields": [
    ],
  • "pageNumber": 0,
  • "pageSize": 0,
  • "includeChildAgencyOrders": true
}

Response samples

Content type
application/json
{
  • "pageSize": 0,
  • "pageNumber": 0,
  • "totalPages": 0,
  • "totalCount": 0,
  • "hasPreviousPage": true,
  • "hasNextPage": true,
  • "orders": [
    ]
}

Get order by orderNo.

Authorizations:
subscriptionKey
path Parameters
orderNo
required
string

Customer order number retrieved from List/Search orders

header Parameters
agencyCode
required
string

Your assigned agencyCode, ie KXXXXXX

Responses

Response samples

Content type
application/json
{
  • "code": "f5d62b05-370e-48be-a755-8675ca146431",
  • "orderNo": "string",
  • "externalOrderReference": "string",
  • "orderType": "Standard",
  • "orderStatus": "Option",
  • "orderDate": "2019-08-24T14:15:22Z",
  • "grossPrice": 0.1,
  • "grossPriceExcludingTaxesAndFees": 0.1,
  • "taxesAndFees": 0.1,
  • "grossPriceIncludingVat": 0.1,
  • "netPrice": 0.1,
  • "commission": 0.1,
  • "markup": 0.1,
  • "vatAmount": 0.1,
  • "margin": 0.1,
  • "currencyCode": "string",
  • "channel": "Web",
  • "agencyCode": "string",
  • "agentCode": "string",
  • "agentAgencyCode": "string",
  • "agentName": "string",
  • "agentEmail": "string",
  • "priceAggregation": true,
  • "grossPriceBeforeDiscounts": 0.1,
  • "discounts": [
    ],
  • "customer": {
    },
  • "packageType": "Allotment",
  • "typeOfTravel": "CruiseOnly",
  • "packageRef": "string",
  • "packageCode": "string",
  • "packageId": "string",
  • "amountOriginal": 0.1,
  • "currencyCodeOriginal": "string",
  • "currencyRate": 0.1,
  • "currencyRateDate": "2019-08-24T14:15:22Z",
  • "lines": [
    ],
  • "passengers": [
    ],
  • "paymentMethodCode": "string",
  • "paymentSchedules": [
    ],
  • "paymentTransactions": [
    ],
  • "comments": [
    ],
  • "comment": "string",
  • "todos": [
    ],
  • "contactPreferenceEmail": true,
  • "contactPreferencePhone": true,
  • "directCollect": true,
  • "auditLogs": [
    ],
  • "orderMailAuditLogs": [
    ],
  • "metadata": {
    },
  • "createdDate": "2019-08-24T14:15:22Z",
  • "modifiedDate": "2019-08-24T14:15:22Z",
  • "bookingSessionId": "string",
  • "testOrder": true,
  • "convertedFromQuote": true,
  • "convertedFromTravelProposal": true,
  • "requiresPartnerLoyaltyNumber": true,
  • "partnerLoyaltyNumberSentDateTime": "2019-08-24T14:15:22Z",
  • "editedByAgent": "string",
  • "tags": [
    ],
  • "attachments": [
    ],
  • "requirements": [
    ]
}

Get order by order code.

Authorizations:
subscriptionKey
path Parameters
orderCode
required
string <uuid>

Order Code retrieved from List/Search orders

header Parameters
agencyCode
required
string

Your assigned agencyCode, ie KXXXXXX

Responses

Response samples

Content type
application/json
{
  • "code": "f5d62b05-370e-48be-a755-8675ca146431",
  • "orderNo": "string",
  • "externalOrderReference": "string",
  • "orderType": "Standard",
  • "orderStatus": "Option",
  • "orderDate": "2019-08-24T14:15:22Z",
  • "grossPrice": 0.1,
  • "grossPriceExcludingTaxesAndFees": 0.1,
  • "taxesAndFees": 0.1,
  • "grossPriceIncludingVat": 0.1,
  • "netPrice": 0.1,
  • "commission": 0.1,
  • "markup": 0.1,
  • "vatAmount": 0.1,
  • "margin": 0.1,
  • "currencyCode": "string",
  • "channel": "Web",
  • "agencyCode": "string",
  • "agentCode": "string",
  • "agentAgencyCode": "string",
  • "agentName": "string",
  • "agentEmail": "string",
  • "priceAggregation": true,
  • "grossPriceBeforeDiscounts": 0.1,
  • "discounts": [
    ],
  • "customer": {
    },
  • "packageType": "Allotment",
  • "typeOfTravel": "CruiseOnly",
  • "packageRef": "string",
  • "packageCode": "string",
  • "packageId": "string",
  • "amountOriginal": 0.1,
  • "currencyCodeOriginal": "string",
  • "currencyRate": 0.1,
  • "currencyRateDate": "2019-08-24T14:15:22Z",
  • "lines": [
    ],
  • "passengers": [
    ],
  • "paymentMethodCode": "string",
  • "paymentSchedules": [
    ],
  • "paymentTransactions": [
    ],
  • "comments": [
    ],
  • "comment": "string",
  • "todos": [
    ],
  • "contactPreferenceEmail": true,
  • "contactPreferencePhone": true,
  • "directCollect": true,
  • "auditLogs": [
    ],
  • "orderMailAuditLogs": [
    ],
  • "metadata": {
    },
  • "createdDate": "2019-08-24T14:15:22Z",
  • "modifiedDate": "2019-08-24T14:15:22Z",
  • "bookingSessionId": "string",
  • "testOrder": true,
  • "convertedFromQuote": true,
  • "convertedFromTravelProposal": true,
  • "requiresPartnerLoyaltyNumber": true,
  • "partnerLoyaltyNumberSentDateTime": "2019-08-24T14:15:22Z",
  • "editedByAgent": "string",
  • "tags": [
    ],
  • "attachments": [
    ],
  • "requirements": [
    ]
}

List promotions by sailing. Promotions listed are active promotions defined using the Agent Portal.

Authorizations:
subscriptionKey
path Parameters
shipCode
required
string

ShipCode retrieved using Content Api

query Parameters
sailDate
required
string

Start date of sailing in format yyyy-MM-dd

numberOfNights
required
integer <int32>

Actual number of nights for the sailing

header Parameters
agencyCode
required
string

Your assigned agencyCode, ie KXXXXXX

Responses

Response samples

Content type
application/json
[
  • {
    }
]

List packages by sailing. Packages listed are active packages defined using the Agent Portal.

Authorizations:
subscriptionKey
path Parameters
shipCode
required
string

ShipCode retrieved using Content Api

query Parameters
sailDate
required
string

Start date of sailing in format yyyy-MM-dd

numberOfNights
integer <int32>

Actual number of nights for the sailing

header Parameters
agencyCode
required
string

Your assigned agencyCode, ie KXXXXXX

Responses

Response samples

Content type
application/json
[
  • {
    }
]

List all packages. Packages listed are active packages defined using the Agent Portal.

Authorizations:
subscriptionKey
header Parameters
agencyCode
required
string

Your assigned agencyCode, ie KXXXXXX

Responses

Response samples

Content type
application/json
[
  • {
    }
]

List itinerary by sailing.

Authorizations:
subscriptionKey
path Parameters
shipCode
required
string

ShipCode retrieved using Content Api

query Parameters
sailDate
required
string

Start date of sailing in format yyyy-MM-dd

numberOfNights
required
integer <int32>

Actual number of nights for the sailing

header Parameters
agencyCode
required
string

Your assigned agencyCode, ie KXXXXXX

Responses

Response samples

Content type
application/json
[
  • {
    }
]

List customized fares by agency code.

Authorizations:
subscriptionKey
header Parameters
agencyCode
required
string

Your assigned agencyCode, ie KXXXXXX

Responses

Response samples

Content type
application/json
[
  • {
    }
]